<?php



include("asl.php");

ini_set('display_errors', '0');


/*
error_reporting(E_ALL);
ini_set('display_errors', '1');
*/

?>



<!DOCTYPE HTML>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html ; charset=utf-8" />
    <meta http-equiv="content-type" content="text/html" />
    <meta name="author" content="persian" />

    <title>طراحی ربات ahp</title>


    <link rel="Stylesheet" type="text/css" href="style.css" />


    <style>
        @font-face {
            font-family: 'amir';
            src: url('font/BKoodakBold.ttf')format('truetype'),
                url('font/BKoodakBold.eot')format('eot'),
                url('font/BKoodakBold.woff')format('woff');

        }
    </style>


</head>

<body dir="rtl" align="center">
    <div align="center">
        <?php

        //   import_request_variables("p" , "a_");


        //old import
        function checkarray($summerarray, $mainkey, $mainarray)
        {
            if (in_array($mainkey, $summerarray)) {
                unset($mainarray["$mainkey"]);
                return $mainarray;
            } else {
                return "ok";
            }
        }

        $summerarray = array();
        $artest = $_POST;
        foreach ($artest as $postinfo) {

            $ar_mainkey = array_search($postinfo, $artest);
            if (checkarray($summerarray, $ar_mainkey, $artest) != "ok") {
                $artest = checkarray($summerarray, $ar_mainkey, $artest);
                $ar_mainkey = array_search($postinfo, $artest);
            }
            ${'a_' . $ar_mainkey} = $postinfo;
            $summerarray[] = $ar_mainkey;
        }
        //old import


        try {
            $conn = new PDO("mysql:host=$servername;dbname=$mydb", $username, $password,  array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
            // set the PDO error mode to exception

            $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (PDOException $e) {
            echo "Connection failed: " . $e->getMessage();
        }




        $sql = "select * from admin";
        $stmt =   $conn->prepare($sql);
        $stmt->execute();

        $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);
        $show = $stmt->fetch();

        $user = $show["user"];
        $pass = $show["pass"];


        $getpass = hash_hmac('md5', $a_pass, 'salt');





        if ($user == $a_user && $pass == $getpass) {







            if ($a_noa == "insertnewplace") {




                if ($a_ispic == "on" || $a_isvideo == "on") {


                    //uploading


                    if (!$_FILES['myfile']['name'] == "" && $_FILES["myfile"]["error"] == 0) {



                        $ext = end(explode('.', $_FILES['myfile']['name']));

                        $formats = array('jpg', 'JPG', 'gif', 'GIF', 'png', 'PNG', 'RAR', 'rar', 'ZIP', 'zip', 'mp4', '3gp', 'mov');
                        if (!in_array($ext, $formats)) {

                            print "<p style='color:green' >پسوند معتبر برای آپلود نیست</p>";
                        } elseif (file_exists('upload/' . $_FILES["myfile"]["name"])) {
                            print "<p style='color:green' >متاسفیم این فایل قبلا اپلود شده لطفا نام ان را تغییر دهید</p>";
                        } elseif (536870912 < $_FILES["myfile"]["size"]) {


                            print "<p style='color:green' >سایز فایل باید کمتر از نیم گیگ باشد</p>";
                        } else {
                            $path = "upload/" . $_FILES["myfile"]["name"];
                            move_uploaded_file($_FILES["myfile"]["tmp_name"], $path);
                            print "
        <span class='green' >
        اپلود با موفقیت انجام 
        شد
        </span>
        ";
                        }
                        $namemyfile = $_FILES["myfile"]["name"];
                    }


                    //uploading
                    $sql = "insert into place (name,info,address,ispic,isvideo,type,sellorhire,city) values (\"$a_name\" , \"$a_info\",\"$namemyfile\", \"$a_ispic\",\"$a_isvideo\",\"$a_type\",\"$a_sellorhire\",\"$a_city\" )";
                    $conn->exec($sql);
                    echo "<p style='color:green' >محصول ذخیره شد</p>";
                } else {
                    $sql = "insert into place (name,info,address,ispic,isvideo,type,sellorhire,city) values (\"$a_name\" , \"$a_info\",\"$namemyfile\", \"$a_ispic\",\"$a_isvideo\",\"$a_type\",\"$a_sellorhire\",\"$a_city\" )";
                    $conn->exec($sql);



                    echo "<p style='color:green' >محصول ذخیره شد بدون عکس و کلیپ</p>";
                }
            }





            if ($a_newuser == "") {
            } else {

                $newpass = hash_hmac('md5', $a_newpass, 'salt');
                $sql = "update admin set user = \"$a_newuser\"  , pass=\"$newpass\"  ";
                $conn->exec($sql);
                echo "<p style='color:green' >يوزرنيم و پسورد با موفقيت به روز رساني شد لطفا از پنل خارج شده مجددا وارد شويد</p>";



                function redirect($url)
                {
                    if (!headers_sent()) {
                        header('Location: ' . $url);
                        exit;
                    } else {
                        echo '<script type="text/javascript">';
                        echo 'window.location.href="' . $url . '";';
                        echo '</script>';
                        echo '<noscript>';
                        echo '<meta http-equiv="refresh" content="0;url=' . $url . '" />';
                        echo '</noscript>';
                        exit;
                    }
                }
                redirect("enter.php");
            }
        } else {
            echo "<p style='color:red' >يوزرنيم و يا پسورد اشتباه وارد شده </p><br />
                      <a href='enter.php' target='_blank' >بازگشت به صفحه ی ورود</a>
              
                      ";



            function redirect($url)
            {
                if (!headers_sent()) {
                    header('Location: ' . $url);
                    exit;
                } else {
                    echo '<script type="text/javascript">';
                    echo 'window.location.href="' . $url . '";';
                    echo '</script>';
                    echo '<noscript>';
                    echo '<meta http-equiv="refresh" content="0;url=' . $url . '" />';
                    echo '</noscript>';
                    exit;
                }
            }




            redirect("enter.php");
        }














        function sendmessage($text, $chatid, $keys)
        {

            $send = "https://api.telegram.org/bot7305082680:AAFueBDE7l1iTJPHsmZ0ERsf_2FBZfwQwzc/sendmessage?chat_id=$chatid&text=$text&parse_mode=Html&reply_markup=$keys";
            $sended = file_get_contents($send);
        }



        function sendphoto($address, $chatid, $key, $caption)
        {

            $bot_url    = "https://api.telegram.org/bot7305082680:AAFueBDE7l1iTJPHsmZ0ERsf_2FBZfwQwzc/";
            $url = $bot_url . "sendPhoto?caption=$caption&reply_markup=$key&chat_id=" . $chatid;
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                "Content-Type:multipart/form-data"
            ));
            curl_setopt($ch, CURLOPT_URL, $url);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, array(
                "photo"     => "@" . "upload/" . $address,
            ));
            curl_setopt($ch, CURLOPT_INFILESIZE, filesize("upload/" . $address));
            $output = curl_exec($ch);
            return $output;
        }



        if ($a_noa == "sending") {


            if (!$_FILES['myfile']['name'] == "" && $_FILES["myfile"]["error"] == 0) {



                $ext = end(explode('.', $_FILES['myfile']['name']));

                $formats = array('jpg', 'JPG', 'gif', 'GIF', 'png', 'PNG', 'RAR', 'rar', 'ZIP', 'zip', 'mp4', '3gp', 'mov', 'mp3', 'ogg', 'MP4', '3GP', 'MOV', 'MP3', 'OGG');
                if ($ext == "jpg" || $ext == "JPG" || $ext == "png" || $ext == "PNG") {
                    $filetype = "pic";
                } elseif ($ext == "gif" || $ext == "GIF" || $ext == "mp4" || $ext == "MP4" || $ext == "3gp" || $ext == "3GP" || $ext == "mov" || $ext == "MOV") {
                    $filetype = "video";
                } elseif ($ext == "mp3" || $ext == "MP3" || $ext == "ogg") {
                    $filetype = "voice";
                }


                if (!in_array($ext, $formats)) {

                    print "<p style='color:green' >پسوند معتبر برای آپلود نیست</p>";
                } elseif (file_exists('upload/' . $_FILES["myfile"]["name"])) {
                    print "<p style='color:green' >متاسفیم این فایل قبلا اپلود شده لطفا نام ان را تغییر دهید</p>";
                } elseif (536870912 < $_FILES["myfile"]["size"]) {


                    print "<p style='color:green' >سایز فایل باید کمتر از نیم گیگ باشد</p>";
                } else {
                    $path = "upload/" . $_FILES["myfile"]["name"];
                    move_uploaded_file($_FILES["myfile"]["tmp_name"], $path);
                }
                $namemyfile = $_FILES["myfile"]["name"];
            }


            $stmt = $conn->prepare("SELECT * FROM users LIMIT $a_ifrom, $a_ito");
            $stmt->execute();

            // set the resulting array to associative
            $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);

            $l = $stmt->fetchAll();

            $forwork =  ($a_ito - $a_ifrom) + 2;

            for ($i = 0; $i < $forwork; $i++) {

                // print"in $i  \\\ ".$l[$i]["chatid"]."<br />";

                if ($namemyfile == "" || $namemyfile == " ") {
                    sendmessage(urlencode("$a_info"), $l[$i]["chatid"], "");
                } else {
                    sendphoto($namemyfile, $l[$i]["chatid"], "", urlencode("$a_info"));
                }
                //sendmessage($text,'80433998',$key);
            }
        }


        ?>

        <h1 class="white">پنل ربات </h1>
        <br></br>
        <h4 class="white">پنل مدیریتی ربات</h4>
        <div id="content" align="right">
            <div id="content-content">
                <table>
                    <tr>
                        <td><img class="radius" src="images/user.png" /></td>
                        <td class="gray" valign="bottom">خوش آمدید <?php print $userse; ?></td>

                        <td>
                            <form target="_blank" method='post' action='products.php'>


                                <input type='submit' style='width:100%' class='font' value='محصولات' />
                                <input type='hidden' name='user' value="<?php echo $a_user  ?>" />
                                <input type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font' />
                            </form>
                        </td>

                        <td>
                            <form target="_blank" method='post' action='orders.php'>


                                <input type='submit' style='width:100%' class='font' value='سفارش ها' />
                                <input type='hidden' name='user' value="<?php echo $a_user  ?>" />
                                <input type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font' />
                            </form>
                        </td>


                        <td>
                            <form target="_blank" method='post' action='screens.php'>


                                <input type='submit' style='width:100%' class='font' value='سبد خرید' />
                                <input type='hidden' name='user' value="<?php echo $a_user  ?>" />
                                <input type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font' />
                            </form>
                        </td>


                        <td>
                            <form target="_blank" method='post' action='users.php'>


                                <input type='submit' style='width:100%' class='font' value='نمایش کاربران' />
                                <input type='hidden' name='user' value="<?php echo $a_user  ?>" />
                                <input type='hidden' name='pass' value="<?php echo $a_pass  ?>" class='font' />
                            </form>
                        </td>




                    </tr>

                </table>



                <br />
                <br />
                <a href="https://telegram.me/" target="_blank">
                    <input class='button-blue' style="width:725px;" type="button" value="رفتن به داخل ربات" />
                </a>

                <br />
                <div id="fish">














                    <h5 class='gray'>◄ ارسال خبر جدید</h5>

                    <form method='post' enctype='multipart/form-data' action='index.php'>
                        <table>
                            <tr>

                                <th class='th'>از </th>
                                <th class='th'>تا </th>
                                <th class='th'>متن برای ارسال</th>





                            </tr>
                            <tr>
                                <td align='center' class='td'><input placeholder="از " type='text' name='ifrom' class='font' /> </td>
                                <td align='center' class='td'><input placeholder="تا " type='text' name='ito' class='font' /> </td>
                                <td align='center' class='td'><textarea name="info" style='height:200px'></textarea> </td>


                            </tr>


                            <tr>

                                <td>
                                    <input type='hidden' name='user' value="<?php echo $a_user  ?>" />
                                    <input type='hidden' name='pass' value="<?php echo $a_pass  ?>" />
                                    <!--
        <input type="file"  id="file" name="myfile"/>
        -->
                                    <input type='hidden' name='noa' value='sending' /><input type='submit' class='font' value='ارسال' />
                                </td>

                            </tr>

                        </table>
                    </form>














                    <hr />
                    <hr />
                    <hr />

                    <br />
                    <br />
                    <br />
                    <br />



                    <form method='post' action='index.php'>
                        <table>
                            <tr>
                                <th class='th'>يوزرنيم جديد </th>
                                <th class='th' colspan="2">پسورد جديد</th>


                            </tr>
                            <tr>
                                <td align='center' class='td'><input placeholder="يوزرنيم" type='text' name='newuser' class='font' /> </td>
                                <td align='center' class='td'><input placeholder="پسورد" name="newpass" type="password" class="font" />
                                    <input type='hidden' name='user' value="<?php echo $a_user  ?>" />
                                    <input type='hidden' name='pass' value="<?php echo $a_pass  ?>" />
                                </td>




                            </tr>


                            <tr>

                                <td> <input type='submit' class='font' value='تغيير' /> </td>

                            </tr>

                        </table>
                    </form>



                </div>












                <div id="shower">



























                    <hr />
                    <hr />
                    <hr />

                    <br />
                    <br />
                    <br />
                    <br />






                </div>
























                <br />
                <br />
            </div>
        </div>





    </div>

    <?php
    $conn = null;
    ?>
</body>

</html>